org.apache.xerces.impl.xs

## Class XSDAssertionValidator

- java.lang.Object
- - org.apache.xerces.impl.xs.XSDAssertionValidator

-     public class XSDAssertionValidator
      extends java.lang.Object

  An XML Schema validator subcomponent handling assertions processing.
  Version:
    $Id: XSDAssertionValidator.java 1890307 2021-05-29 09:07:37Z mukulg $
  Author:
    Mukul Gandhi IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSDAssertionValidator(XMLSchemaValidator xmlSchemaValidator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characterDataHandler(org.apache.xerces.xni.XMLString text)`
    `void` | `comment(org.apache.xerces.xni.XMLString text)`
    `java.util.List` | `getAssertsFromSimpleType(org.apache.xerces.xs.XSSimpleTypeDefinition simpleTypeDef)`
    `void` | `handleEndElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.Augmentations augs)`
    `void` | `handleStartElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes)`
    `void` | `processingInstruction(java.lang.String target, org.apache.xerces.xni.XMLString data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSDAssertionValidator

          public XSDAssertionValidator(XMLSchemaValidator xmlSchemaValidator)

  - ### Method Detail

    - #### characterDataHandler

          public void characterDataHandler(org.apache.xerces.xni.XMLString text)

    - #### handleStartElement

          public void handleStartElement(org.apache.xerces.xni.QName element,
                                org.apache.xerces.xni.XMLAttributes attributes)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### handleEndElement

          public void handleEndElement(org.apache.xerces.xni.QName element,
                              org.apache.xerces.xni.Augmentations augs)

    - #### comment

          public void comment(org.apache.xerces.xni.XMLString text)

    - #### processingInstruction

          public void processingInstruction(java.lang.String target,
                                   org.apache.xerces.xni.XMLString data)

    - #### getAssertsFromSimpleType

          public java.util.List getAssertsFromSimpleType(org.apache.xerces.xs.XSSimpleTypeDefinition simpleTypeDef)

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.